import './styles/admin.scss'
import './index.js'

import App from './app';
import {dashboard as components} from './components'

const DashboardApp = {
    ...App,
    components: {...App.components, ...components},

    data() {
        return {
            modalItem: null,
        }
    },

    methods: {
        ...App.methods,

        fileSelected(select, cover, input, modal) {
            console.log("file!")
            const item = this.$refs[select].item
            if(item) {
                this.$refs[cover].src = item.file
                this.$refs[input].value = item.id
                modal && this.$refs[modal].close()
            }
        },
    }
}
export default DashboardApp;


window.App = DashboardApp
